Paycose Docs
Coupon
GET/coupons

List

List coupons with pagination, filtering, and search.

Requires: Bearer token, X-Country header.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/coupons/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[active]=&filter[created_at]=&filter[currency]=&filter[duration]=&filter[duration_in_months]=&filter[fixed_amount]=&filter[id]=&filter[labels]=&filter[percentage]=&filter[redeem_by]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request.

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [
    {
      "id": null,
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "name": "<string>",
      "active": false,
      "duration": "<string>",
      "duration_in_months": 0,
      "percentage": 0.0,
      "fixed_amount": 0,
      "currency": "<string>",
      "redeem_by": "<RFC3339 timestamp>",
      "metadata": "<datatypes.JSON>",
      "labels": "<core.Labels>"
    }
  ],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}

On this page